User visible changes in the firmware version 3.7.0 since version 3.6.10.

                             Highlights.

0. WARNING: the following backward-incompatible changes that affect
   decoding of raw measurements in standard raw data files have
   been introduced:

  a. For GALILEO, Ksys changed from 1e-11 to to 2e-11.

  b. IRNSS removed from USI numbers to get space for increased number
     of BeiDou SVs. To decode IRNSS measurements from raw data files,
     decoding of new [SX] message is now required.

  c. Number of BeiDou satellites in USI increased to 37.

  d. BeiDou B2 signal moved from "L5" to "P2" slot.

1. T2: everal new features available only in new generation of receivers,
   based on T2 DSP chip (like TRE-3, TRE-3N, TRE-DUO, TRE-QUA).
   These receivers are collectively named "T2" in this document.

2. Implemented new [SX] message that will eventually replace [SI]
   message.

3. Implemented new [RX] and [CR] messages (similar to [rx] and [cr]
   messages)

4. IMU: support has been improved and new parameters implemented.

5. TRIUMPH-F1 GNSS: add board support

6. New JPS messages [s0],[s1],[s2],[s3],[s5],[sl] for output of
   SNR values with even higher precision.

7. T2: New JPS messages [j0],[j1],[j2],[j3],[j5],[jl] for output of
   SNR values for "data" subsignal (as opposed to "pilot"
   subsignal).

8. T2: Support of new BeiDou signals has been added.
   P1 slot contains B1-2 signal ( freq = 1589742000 Hz )
   P2 slot contains B2(B5B) signal ( freq = 1207140000 Hz )
   L5 slot contains B5A signal  ( freq = 1176450000 Hz )
   L1C slot contains B1C signal ( freq = 1575420000 Hz )

9. Bug of satellites status in multi-antenna receivers has been fixed.

10. Added support for new TRE-QUA and TRE-DUO receivers.

11. DUO: new message [SA]: position of slave antenna

12. /par/pos/sp/meas: changed default value to "any", so that non-RTK
    solutions use any available measurements rather than L1 civil ones
    in previous versions.

13. /par/pos/SYS/navdata: changed default value to "any", so that
    navigation data from any signals are taken rather than data from
    only L1 civil signals in previous versions.

14. Ephemeris: fixed precision loss of Af0 value of GPS CNAV, CNAV2,
    GALILEO INAV, FNAV and BeiDou systems.

15. DUO_G3D: fixed decreasing over time the number of GLONASS SVs
    being track, provided GALILEO satellites tracking is turned on.

16. PPS, EVENT: several new parameters implemented. Several existing
    parameters, as well as [XA], [XB], [YA], and [YB] messages are
    enhanced.

17. New messages: delta range [cm][1m][2m][3m][5m][lm] and delta phase
    [cf][1f][2f][3f][5f][lf] implemented to provide range/phase
    difference between preudoranges/phases measured by conventional
    and multipath reduction techniques. These messages also provide
    measuments of "data" subsignal for separate "pilot"/"data"
    tracking.

18. Configurable tracking of complex signals implemented. Either
    "data" only, "pilot" only, or "data+pilot" modes are available on
    all receivers.

19. T2: In addition to (18), simultaneous separate tracking of "data"
    and "pilot" signals is implemented.

20. T2: added possibility to track all signals independently (except
    GPS P-code, Gilileo altBoc and QZSS LEX). In this mode, for
    example, GPS L2C and/or L5 can be acquired/tracked without
    presence of C/A code.

21. Added GLONASS P1 and GLONASS P2 raw data streams.

22. BINEX: fixed bug of WN and TOW representation near week rollover.

23. RTCM3: fixed bug caused exception in output of messages types 1044,
    1045.

24. UHF: Support HPT104BT and AW100BT modems.

                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

1.1 New messages: [s0], [s1], [s2], [s3], [s5], [sl]: SNR x 256

struct CNR_256 {nSats+1} {
! u2 cnrX256[nSats]; // C/N0 [(1.0/256)*dB*Hz]
  u1 cs;             // Checksum
};

These messages contain corresponding carrier to noise ratios for all
the satellites specified in the latest [SX] message. The messages
contain CA/L1, P/L1, P/L2, CA/L2, L5, and L1C carrier to noise ratios
multiplied by 256, respectively.

Use the following formula to compute true carrier to noise ratio in
dB*Hz:

 cnr = cnrX256 / 256


1.2 T2: New messages [j0], [j1], [j2], [j3], [j5], [jl]: SNR x 256

struct CNR_256 {nSats+1} {
! u2 cnrX256[nSats]; // C/N0 [(1.0/256)*dB*Hz]
  u1 cs;             // Checksum
};

These messages contain corresponding "data" subsignal carrier to
noise ratios for all the satellites specified in the latest [SX]
message. The messages contain CA/L1, P/L1, P/L2, CA/L2, L5, and L1C
carrier to noise ratio multiplied by 256, respectively.

Use the following formula to compute true carrier to noise ratio in
dB*Hz:

 cnr = cnrX256 / 256


1.3. New message: [SX] Extended USI numbers.

Starting from 3.7.0 [SX] message is used in the default message set,
even though [SI] is still there for backward compatibility.

New software should use [SX] when available, and [SI] otherwise.

Also, presence of [SX] could be used as indication of new naming of
BeiDou bands, as well as new Ksys value for GALILEO.

struct ExtSatIndex {nSats * 2 + 1} {
  ESI esi[nSats]; // ESI array []
  u1 cs;          // Checksum
};

Where ESI is defined as follows:

struct ESI {
  u1 sys;   // Satellite system identifier
            // 0 - <reserved> - ignore data
            // 1 - GPS
            // 2 - GLONASS
            // 3 - SBAS
            // 4 - GALILEO
            // 5 - QZSS
            // 6 - BeiDou
            // 7 - IRNSS
  union {
  ! i1 fcn; // FCN for GLONASS ('sys' == 2) [-7...7]
            // (127 - GLONASS SV with unknown FCN, could be
            // useful when converting third-party GLONASS
            // measurements into GREIS format)
    u1 prn; // PRN for all other values of 'sys'
  };
};

1.4. New message: [RX] Reference Pseudorange

Format is the same as [RC]. This message contains virtual reference
pseudorange used for reconstruction of other pseudo-ranges.

1.5. New message: [CR] Relative CA/L1 Pseudorange

Format is the same as [1R].

1.6 AT4 message [AR], the rotation angles

struct AR {33} {
  u4 time;        // Receiver time modulo day [ms]
  f4 p,r,h;       // Pitch, roll, heading angles [deg]
  f4 sp,sr,sh;    // Pitch, roll, heading angles RMS [deg]
  u1 solType[3];  // Solution type for 3 base lines
  u1 flag;        // Validity flag
  u1 cs;          // checksum
};

1.7 [SA] message: position of slave antenna in text format

1. %6.[0-2]F - UTC time of position fix (first two digits designate
   hours, the next two designate minutes and the rest digits designate
   seconds)

2. %C%2Do%2D’%2.6F" - Latitude: hemisphere (“N” – northern, “S” –
   southern), degrees, minutes and seconds

3. %C%2Do%2D’%2.6F" - Longitude: hemisphere (“E” – eastern, “W” –
   western), degrees, minutes and seconds

4. %+5.4F - Altitude above ellipsoid [meters]

5. %1D  - master antena solution status

6. %C   - slave antenna solution status

7. %@2X - checksum

1.8 Extended [GE] and [QE] messages with optional data as well as [EN]
and [CN] messages.

Added new field:

f4 DAf0; // 'af0' correction

To compute exact double-precision value of corresponding ephemeris
term, use:

  'af0' + 'DAf0'

where 'af0' and 'DAf0' are taken from ephemeris structure.

1.9 Definition of "timeScale" field of [XA], [XB] messages has been extended

u1 timeScale; // time scale; may be:
     0 - gps,
     1 - utcusno,
     2 - glo,
     3 - utcsu,
     4 - sbas,
     5 - utcsbas,
     6 - gal,
     7 - utcgal,
     8 - bei,
     9 - utcbei,
     10- qzss,
     11- utcqzss,
     12- ind,
     13- utcind

1.10 Definition of "timeScale" field of [YA], [YB] messages has been extended

See (1.9) for description

1.11 New messages: [cm],[1m],[2m],[3m],[5m],[lm]:  Multipath Delta Range Corrections.

struct M_Delta_range {nSats+2} {
! i2 MpDeltaRange[nSats]; // Delta range [Seconds * 1e11]
  u1 mode;                // Mode
  u1 cs;                  // Checksum
};

'mode' is value of /par/raw/corr/ca/code parameter when these data were computed:
0-normal,1-data,2-mpear,3-mpnew,4-mp2ne,5-mpxne

These messages contain corresponding multipath delta range
for all the satellites specified in the latest [SX] message. The
messages contain CA/L1, P/L1, P/L2, CA/L2, L5, and L1C multipath delta
range multiplied by 1e11, respectively.

Use the following formula to compute true multipath delta range in
seconds:

 dltRng = MpDeltaRange * 1e-11

Use the following formula to reconstruct second pseudorange:
If mode == 0:
Pseudorange_with_multipath_reduction_correction =
pseudorange_without_correction (e.g. from [RC]) + dltRng;
If mode != 0:
Pseudorange_without_multipath_reduction_correction =
pseudorange_which_already_contains_correction (e.g. from [RC]) + dltRng;

NOTE: when mode=1(data), instead of multipath delta ranges these
messages contain data_minus_pilot ranges.


1.12 New messages: [cf],[1f],[2f],[3f],[5f],[lf]: Multipath delta phase
corrections.

struct M_Delta_phasee {nSats+2} {
! i2 MpDeltaPhase[cycles]; // delta phase [cycles * 1024]
  u1 mode;           // mode
  u1 cs;             // Checksum
};

mode is value of /par/raw/corr/ca/carrier parameter when these data were computed:
0-normal, 3-mpnew

These messages contain corresponding multipath delta phase
for all the satellites specified in the latest [SX] message. The
messages contain CA/L1, P/L1, P/L2, CA/L2, L5, and L1C multipath delta
phase multiplied by 1024, respectively.

Use the following formula to compute true multipath delta phase in
cycles:

 dltPhase = MpDeltaPhase / 1024.

Use the following formula to reconstruct second phases:
If mode == 0:
Phase_with_multipath_reduction_correction =
phase_without_correction (e.g. from [PC]) + dltPhase;
If mode != 0:
Phase_without_multipath_reduction_correction =
phase_which_already_contains_correction (e.g. from [PC]) + dltPhase;

NOTE: when /par/raw/corr/ca/code is set to "data" and
 /par/raw/corr/ca/carrier is set to "normal", instead of multipath
 delta phases these messages contain data_minus_pilot phases.


1.13 Two more flags have been added to
  [FC],[F1],[F2],[F3],[F5],[Fl] messages:

    rm_USE_DATA=     0x0200, // Sets for (data+piot) signals when data signal is
                             // used in PLL/DLL
    rm_USE_PILOT=    0x0400, // Sets for (data+piot) signals when pilot signal is
                             // used in PLL/DLL

In conventional mode, receiver tries to use both subsignals, but in
case of low C/N0 it automatically swithes to pilot-only tracking.


1.14 Raw Navigation data messages [gd][qd][lD][WD][ED][cd][id] have been extended. One
more field has been added at the end before checksum.

  i1 correctionStatus; // Status of error correction

  correctionStatus shows information about errors in data receiving
  stream.

  Available numbers depend on /par/raw/data/mode parameter setting.

  If /par/raw/data/mode is set to "noerr":
  0 - there are no detected errors
  positive number - there were this number of errors, which were
  succesfully corrected by corresponding data check algorithm.

  If /par/raw/data/mode is set to "err":
  0    - there are no detected errors
  positive number - there were this number of errors, which were
  succesfully corrected by corresponding data check algorithm.
  negative number - data check algorithm detected this number of errors,
  and errors recovery was unavailable/unsuccessful. Data contain
  errors.

  If /par/raw/data/mode is set to "nocheck":
  0 - there are no detected errors.
  -128 (0x80) - error(s) are detected but intentionally not checked
  and not corrected.

  Different raw data streams has different data check/correction
  possibilities, so not all of them may contain positive and/or negative
  numbers in this field.

1.15  In [Ld] raw navigation data message new message types were
added:

 enum DataType {
 NAV_L1_DATA = 0, // C/A code
 NAV_L3_DATA = 1, // L3 code
 NAV_L2_DATA = 2, // L2C code
 NAV_P1_DATA = 3, // (T2) P1
 NAV_P2_DATA = 4  // (T2) P2
 };

1.16  In [WD] raw navigation data message new message types were
added:

 enum DataType {
 SBAS_L1_DATA = 0,
 SBAS_L5_DATA = 1, // (T2)
 };

1.17  In [ED] raw navigation data message new message types were
added and GIOVE data types were removed:

 enum DataType {
 INAV_E1B_DATA=0,
 FNAV_E5A_DATA=1,
 INAV_E5B_DATA=2,
 NAV_E6_DATA=6
 };

1.18 New BeiDou raw navigation data types have been defined in [cd] message:

 enum DataType {
 D1_NAV_B1_DATA = 0,
 D1_NAV_B2_DATA = 1,
 D1_NAV_B3_DATA = 2,
 D2_NAV_B1_DATA = 3, // from GEO
 D2_NAV_B2_DATA = 4, // from GEO
 D2_NAV_B3_DATA = 5, // from GEO
 D1_NAV_L1C_DATA = 6, // From BeiDou phase 3 B1C signal
 D1_NAV_B12_DATA = 7, // From BeiDou phase 3 B1-2 signal
 D1_NAV_E5A_DATA = 8, // From BeiDou phase 3 B5A signal
 D1_NAV_E5B_DATA = 9  // From BeiDou phase 3 B5B signal
 };

1.19 Irnss raw data type has been defined in [id] message:

  enum DataType { NAV_L5_DATA=0 };

1.20 In messages GE,NE,EN,WE,QE,CE,IE (ephemeris) "NavType" field
     is now bit field instead of integer.
     Bit which is set on points to the signal which was used to collect this ephemeris.
     Position of this bit is equal to signal ID in the messages
     with raw navigation data.


                             2. Parameters.

2.1 New IMU parameters

Name:           /par/pos/ins/cutoff
Access:         rw
Type:	        float
Values:         [1..50]
Default:        50
Description:    Cutoff frequency of IMU measurements filters

Name:           /par/pos/ins/droll
Access:	        rw
Type:	        float
Values:         [-90..90]
Default:        0
Description:    roll misalignment of IMU body frame

Name:           /par/pos/ins/dpitch
Access:	        rw
Type:	        float
Values:         [-90..90]
Default:        0
Description:    pitch misalignment of IMU body frame

Name:           /par/pos/ins/dhead
Access:	        rw
Type:	        float
Values:         [0..360]
Default:        0
Description:    heading misalignment of IMU body frame


2.2. (T2) New parameter to set digital filter bandwidth.

Name:           /par/filt/band/BAND_NAME
Access:	        rw
Type:	        int [MHz]
Values:         [1..Receiver dependent]
Default:        Receiver dependent
Description:    Setting of embedded digital filter bandwidth. T2 DSP
chip has a unique capability to change bandwidth of filter of main
selection by a command. BAND_NAME list is variable for different
receivers. Following way of dealing with this parameter can be
suggested:
print current values with their names:
print,/par/filt/band:on
Receiver returns list of bands with their names and current values, e.g.:
/par/filt/band={gps1=30,gps2=30,gps5=30,glo1=30,glo2=30,galE5B=30,
 galE5=60,galE6=30,beiB1=30,beiB12=30,beiB3=30}
Then, when number and name of bands is known, all their bandwidthes can be
set to one value (e.g. 25) by a command:
set,/par/filt/band,25
or it is possible to change each filter bandwidth independently, e.g.:
set,/par/filt/band/gps1,40

WARNING: do not change this parameter unless you fully understand
possible results of it's modification.


2.3. New parameter: DLL Correlator Width

Name:           /par/raw/corr/ca/width
Access:	        rw
Type:	        float [fraction of C/A code chip width]
Values:         [0.02 ... 1]
Default:        0.02

Width (spacing) of conventional correlators. Despite its name, this
parameter changes spacing for all correlators, not only for C/A ones.

Actual correlator width for a signal is computed according to the
formula:

  width = min(width_ca * chip_rate / ca_chip_rate, 1)

where:

width_ca - the value of this parameter

chip_rate - chip rate of corresponding signal

chip_rate_ca - chip rate of GPS C/A code that is equal to 1023 [1/ms]

For example, if this parameter is set to 0.05, GPS C/A code correlator
width will be set to 0.05, and GPS P-code will be set to 0.5 (i.e. 0.5
of P-code chip width) , as GPS P-code chip rate is 10230 [1/ms]:

   0.05 * 10230/1023 = 0.5

WARING: we advice not to change this value from its default one if you
use any correlator but "normal", as set by the '/par/raw/corr/ca/code'
parameter.

2.4 Changed default value of /par/pos/sp/meas parameter.

Name:           /par/pos/sp/meas
Default:        any

2.5 Changed default value of /par/pos/SYS/navdata parameter.

Name:           /par/pos/SYS/navdata
Default:        any


2.6 New parameter: Use Signal Propagation Delay.

Name:           /par/raw/rfdel
Access:	        rw
Type:           bool
Default:        on

on - to compute time moment for taking of measurements, receiver will
  take into account signal propagation delay due to receiver RF part
  schematic. Propagation delay is hard-coded number (for given
  receiver) which aproximates actual delay with about +-10ns accuracy

off - receiver will assume zero propagation delay

When is set to "on", the '/par/dev/pps/[a][b]/rfdel' parameters are
inactive and receiver's PPS and EVENT logic will account for
propagation delay.

2.7 PPS

2.7.1 New parameters: PPS Use Signal Propagation Delay

Name:           /par/dev/pps/[a][b]/rfdel
Access:	        rw
Type:           bool
Default:        on

on - to compute time moment for PPS output, receiver will take into
  account signal propagation delay due to receiver RF part schematic.
  Propagation delay is hard-coded number (for given receiver) which
  aproximates actual delay with about +-10ns accuracy

off - receiver will assume zero propagation delay for the purposes of
  PPS output, unless '/par/raw/rfdel' is set to "on"

2.7.2 Changes in existing parameters

Name:     /par/dev/pps/[a][b]/time

More values were implemented, the default changed to new value "utc".

Values:   utc,gps,utcusno,glo,utcsu,sbas,utcsbas,gal,utcgal,
          comp,utcbei,qzss,utcqzss,irnss,utcind,utc
Default:  utc

utc -  automatic mode when receiver selects the best time from
    available UTC time scales. Actual reference time selected for each
    particular PPS output can be obtained from [XA],[XB] messages.

Name:           /par/dev/pps/[a][b]/len

Maximum value is receiver-dependent

Values:         [20..Receiver dependent]
Default:        Receiver dependent. Usually 1000000 or 2000000

Name:           /par/dev/pps/[a][b]/mlen

Maximum value is receiver-dependent

Values:         [20..Receiver dependent]
Default:        Receiver dependent. Usually 1000000 or 3000000


2.8 External Event parameters changes

2.8.1 New parameters: Event Input Impedance

Name:           /par/dev/event/[a][b]/imp
Access:	        rw
Type:           enumerated
Values:         high, low
Default:        high

Specifies impedance of event input.

high - impedance is about 5 KOhm.
low  - impedance is about 50 Ohm.

WARNING: set to "low" only if input signal is designed for 50 Ohm
load. This parameter is supported on recently designed boards only (as
of March, 2017).

2.8.2 New parameters: Event Use Signal Propagation Delay

Name:           /par/dev/event/[a][b]/rfdel
Access:	        rw
Type:           bool
Default:        on

on - to compute time moment of Event reception, receiver will take
  into account signal propagation delay due to receiver RF part
  schematic. Propagation delay is hard-coded number (for given
  receiver) which aproximates actual delay with about +-10ns accuracy

off - receiver will assume zero propagation delay for the purposes of
  Event acquisition, unless '/par/raw/rfdel' is set to "on"

2.8.3 New parameters: Event to External Frequency Delay

Name:           /par/dev/event/[a][b]/frqdel
Access:	        rw
Type:           float [nanoseconds]
Values:         [0...1000]
Default:        0

Specifies delay between positive zero-crossing of external frequency and
external Event, measured at receiver inputs.

This parameter is only active when '/par/dev/event/[a][b]/lock' is set
to "calib".

Suppose external frequency is used, and PPS is connected to "External
Event" input of the receiver. Provided phase shift between these two
inputs is known to the user, specifying this shift in this parameter
will allow receiver to synchronise its internal time scale with
external Event with accuracy equal to accuracy of the entered number.

2.8.4 New parameters: Event Offset

Name:           /par/dev/event/[a][b]/offs/ns
Access:	        rw
Type:           integer [nanoseconds]
Values:         [-500000 ... +500000]
Default:        0

This offset will be added to external Event time.

Useful when external frequency is used, receiver time is synchronized
to external PPS, and phase relationship between these two inputs
happens to be unfortunate enough for receiver time to jump between two
neighbour stable points.

2.8.5 Changes in existing parameters

Name:     /par/dev/event/[a][b]/time

More values were implemented, the default changed to new value "utc".

Values:   utc,gps,utcusno,glo,utcsu,sbas,utcsbas,gal,utcgal,
          comp,utcbei,qzss,utcqzss,irnss,utcind,utc
Default:  utc

utc -  automatic mode when receiver selects the best time from
    available UTC time scales. Actual reference time selected for each
    particular PPS output can be obtained from [YA],[YB] messages.


Name:   /par/dev/event/[a][b]/lock

New value: calib

Values: off,on,always,calib

calib - provided '/par/dev/event/[a][b]/frqdel' is 0, automatically
  determine delay between positive zero-crossing of external frequency
  and external Event, measured at receiver inputs, and synchronize
  using this value. Accuracy of this synchronisation (calibration) is
  about 0.3 [ns].

  If '/par/dev/event/[a][b]/frqdel' is non-zero, use its value for
  synchronization instead.

  Only special timing receivers (TRE-3 for the moment of writing) have
  this mode implemented.

Name: /par/lock/l2c
Name: /par/lock/l5
Name: /par/lock/glo/l3

Parameters have been extended

Values: on,off,always,pilot,data

off     - disable tracking
on      - track, if C/A code almanach says that this satallite has this signal
always  - track unconditionally, does not matter what almanach says
          For example, could be useful for simulator tests
pilot   - track only "pilot" subsignal
data    - track only "data" subsignal

NOTE: correct switching between "data" and "pilot" should be through "on".


Name: /par/lock/gal/e5a
Name: /par/lock/gal/e5b
Name: /par/lock/gal/altboc

Parameters have been extended

Values: off,on,pilot,data

off     - disable tracking
on      - enable tracking
pilot   - track only "pilot" subsignal.
data    - track only "data" subsignal.

Name: /par/raw/corr/ca/code

Parameter has been extended

Values: normal,data,mpear,mpnew,mp2ne,mpxne

data (T2) - special setting for separate tracking of pilot and data
  subsignals of complex signals. Receiver reports pilot measurements
  in conventional messages, and deltas between pilot and data
  measurements in "multipath" messages [cm][1m][2m][3m][5m][lm] and
  [cf][1f][2f][3f][5f][lf]. C/N0 for data subsignal reports in
  [j0][j1][j2][j3][j5][jl] messages.

mpear - medium multipath reduction. Symmetric multipath strobe is
  used.

mpnew - recommended for multipath reduction; best trade-off between
  multipath reduction and possible side effects, like noise increase

mp2ne - even better than "mppnew" multipath reduction. More noisy
  measurements. Possible some shift in range measurements.

mpxne - even better than "mp2ne" multipath reduction. More noisy
  measurements. Possible some shift in range measurements.

NOTE: if this parameter is set to "data", parameter
 '/par/raw/corr/ca/carrier' should be set to "normal" to have correct
 data_minus_pilot phases in [cf],[1f],[2f],[3f],[5f],[lf] messages.

WARNING: "mp2ne" and "mpxne" are recommended for
research/investigation purposes only. Do not use them in production
setups.

2.9 New parameters: /par/lock/gps/pcode, /par/lock/glo/pcode

2.9.1 New parameter: Enable GPS P-code tracking

Name:    /par/lock/gps/pcode
Access:	 rw
Type:    bool
Values:  [on,off]
Default: on

on - enable GPS P-code tracking, unless '/par/lock/pcode' is set to
     "off"

off - disable GPS P-code tracking

2.9.1: New parameter: Enable GLONASS P-code tracking

Name:    /par/lock/gps/pcode, /par/lock/glo/pcode
Access:	 rw
Type:    bool
Values:  [on,off]
Default: on

on - enable GLONASS P-code tracking, unless '/par/lock/pcode' is set to
     "off"

off - disable GLONASS P-code tracking

2.10 T2: New parameters for independent signal tracking

!!! WARNING: these parameters are experimental and are subject to
!!! change in futurue firmware versions.

2.10.1 Maximum number of simultaneously tracked signals.

Name:           /par/raw/channum
Access:	        rw
Type:           integer
Values:         [1...<high>], where <high> depends on receiver type
Default:        <normal>, where <normal> dpends on receiver type

For independent signals tracking, number of independently tracked
signals is higher compared to ordinary tracking.

Setting to "high", it instructs receiver to allocate sufficient number
of channels. This increases processor load, so for ordinary tracking
it is recommented to return to "normal".

WARNING: reboot receiver after change of this parameter for proper
operation.

2.10.2 Enable independent tracking of signals

Name:           /par/lock/SYS/SIG, where
Access:	        rw
Type:           array [1..N] of enumerated [on,off,def]
Values:         {x,x,....x}; x is 'y' or 'n'
Default:        system/signal dependent
Description:    SYS may be: gps,glo,glcdma,sbas,gal,comp,qzss,irnss
                SIG may be: ca,p1,p2,l2c,l5,l1c

ca,p1,p2,l2c,l5,l1c is just historical names of signals came from GPS.
Other systems have signals with their own names here. Their allocation
is shown in table 3-7 of GREIS. If "global" parameter /par/lock/SYS/sat
(/par/lock/SYS/frq for GLONASS) for particular satellite is set to
'n', tracking of all signals is disabled.
'def' stands for "default" configuration. For several signals (like
GPS L5), only several satellites has L5 signal, so "default" list
contains 'y' for them only.

NOTE 1: in case of ordinar tracking, if "/par/lock/SYS/ca" parameter
is set to 'n', tracking of all signals (not only C/A) will be canceled
because other signals are  guided from C/A.
NOTE 2: For independent tracking, GLONASS system is divided into 2
independent systems: GLONASS FDMA (named as before "glo", and GLONASS
CDMA, named "glcdma".

NOTE 3: Independent tracking of GLONASS P-L1 and P-L2 is possible if at
least one signal (C/A or L2C) is tracked at the moment of P-codes
signal acquisition. Other than in acquisition stage, P-L1 and P-L2
tracking is fully independent.

2.11 New parameter: Measurements Mode

Name:           /par/raw/meas/mode
Access:	        rw
Type:           enumerated
Values:         normal, modulo
Default:        normal

WARNING: set this parameter to "modulo" only for investigation
purposes.

modulo - receiver will start to output measurements (phase,
  pseudorange, Doppler, C/No) even if preamble is not found yet
  and, therefore, correct full pseudorange is not available. In
  this case pseudorange is modulo 1 millisecond (or modulo
  signal length).

normal - regular behavior

2.12 /par/lock/gal/giove parameter removed.

2.13  New parameter: Raw Navigation Data Output Mode

Name:     /par/raw/data/mode
Access:   rw
Type:     enum
Values:   [noerr,err,nocheck]
Default:  noerr

Instructs receiver how to deal with raw navigation data messages
when CRC, parity or any other type of error occurs.

noerr - receiver outputs raw data only when no errors detected

err - receiver outputs raw data even when uncorrected error(s) is/are
  present

nocheck - receiver outputs raw data unconditionally, without error
  checking

NOTE: Even in case, when "nocheck" is selected, to be able to output
data receiver has to at least find preamble pattern in the signal.
There will be no output if preamble can not be found.

2.14 New /par/raw/rinex parameters.

Name:           /par/raw/rinex/SYS/SIG
Access:	        r
Type:           {rinex_id,phase_offset}

SYS - either of: gps,glo,sbas,gal,comp,qzss,irnss

SIG - either of: ca,p1,p2,l2c,l5,l1c

rinex_id - RINEX identifier of signal. String comprising two characters.

phase_offset - phase offset which should be added to phase
   measurements provided by receiver to get RINEX phase measurements.
   Floating point value.

Parameter allows to convert the measurements provided by receiver
to the measurements in RINEX format.

NOTE: ca,p1,p2,l2c,l5,l1c is just historical name of signals that came
from GPS.

                             3. Options.

NO CHANGES

                             4. Miscellaneous.

Example of script to swithch receiver to independent signal tracking.
Tune it to your needs to experiment with this new feature.

!!! WARNING: many of the parameters used below are experimental and
!!! are subject to change in new firmware versions

# Turn off guided tracking
%%set,lock/glo/pcode,off
%%set,lock/l2c,off
%%set,lock/l5,off
%%set,lock/gal/e5a,off
%%set,lock/gal/e5b,off
%%set,lock/gal/e6,off
%%set,lock/glo/l3,off

# Turn on independent tracking
%%set,lock/gps/l2c,def
%%set,lock/gps/l5,def

%%set,lock/glo/l2c,def
%%set,lock/glo/p1,def
%%set,lock/glo/p2,def
%%set,lock/glcdma/l5,def

%%set,lock/sbas/l5,def

%%set,lock/gal/p2,def
%%set,lock/gal/l2c,def
%%set,lock/gal/l5,def

%%set,lock/qzss/p1,def
%%set,lock/qzss/l2c,def
%%set,lock/qzss/l5,def
%%set,lock/qzss/l1c,def

%%set,raw/channum,high

# Required(!) reboot after raw/channum change
%%set,reset,y


<END>
